#ifndef CHROMEOS_CAMERA_LIB_GCAM_TEXTURE_2D_DESCRIPTOR_H_
#define CHROMEOS_CAMERA_LIB_GCAM_TEXTURE_2D_DESCRIPTOR_H_

#if defined(CHROME_OS_CAMERA_BUILD_ENV)
// clang-format off
#include <GLES3/gl3.h>
#include <GLES2/gl2ext.h>
// clang-format on
#else
// clang-format off
#include "third_party/GL/gl/include/GLES3/gl3.h"
#include "third_party/GL/gl/include/GLES2/gl2ext.h"
// clang-format on
#endif

namespace cros {

// Metadata needed to import a 2D texture into a Gcam feature pipeline.
struct Texture2DDescriptor {
  static constexpr const int kInvalidTextureId = -1;

  // The native identifier of the 2D texture as returned by glGenTextures().
  GLint id = kInvalidTextureId;
  // The GL internal format of the 2D texture.
  GLenum internal_format;
  // `width` and `height` are the texel size of the 2D texture.
  int width;
  int height;

  bool IsValid() { return id != kInvalidTextureId; }
};

}  // namespace cros
#endif  // CHROMEOS_CAMERA_LIB_GCAM_TEXTURE_2D_DESCRIPTOR_H_
