#ifndef CHROMEOS_CAMERA_LIB_GCAM_YUV_BUFFER_H_
#define CHROMEOS_CAMERA_LIB_GCAM_YUV_BUFFER_H_

#include <cstdint>

namespace cros {

// YuvFormat defines the YUV formats that can be accepted by the Gcam AE
// algorithm. Currently NV12 is the only supported format.
enum class YuvFormat {
  kNv12,
};

// YUV buffer metadata of a YUV buffer. Currently the only supported YUV format
// is NV12 hence `planes` has only size 2.
struct YuvBuffer {
  YuvFormat format;
  int width;
  int height;
  struct {
    int width;
    int height;
    int stride;
    const uint8_t* data;
  } planes[2];
};

}  // namespace cros

#endif  // CHROMEOS_CAMERA_LIB_GCAM_YUV_BUFFER_H_
